AutoTrackTooltip 属性 (ActiveX)
切换 AutoTrack 工具提示的显示。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论此属性的初始值为 。True 启用此属性后,每当光标位于对齐路径上时,用户都会看到工具提示。禁用该属性后,不会显示工具提示。 注意:此属性的值存储在 AUTOSNAP 系统变量中。
例子VBA: Sub Example_AutoTrackToolTip() ' This example reads and modifies the preference value that controls ' the display of the AutoTrack tooltips. When finished, this example resets the ' preference value back to its original value. Dim ACADPref As AcadPreferencesDrafting Dim originalValue As Variant, newValue As Variant ' Get the drafting preferences object Set ACADPref = ThisDrawing.Application.preferences.Drafting ' Read and display the original value originalValue = ACADPref.AutoTrackTooltip MsgBox "The AutoTrackToolTip preference is set to: " & originalValue ' Modify the AutoTrackToolTip preference by toggling the value ACADPref.AutoTrackTooltip = Not (originalValue) newValue = ACADPref.AutoTrackTooltip MsgBox "The AutoTrackToolTip preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.AutoTrackTooltip = originalValue MsgBox "The AutoTrackToolTip preference was reset back to: " & originalValue End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AutoTrackToolTip() ;; This example reads and modifies the preference value that controls ;; the display of the AutoTrack tooltips. When finished, this example resets the ;; preference value back to its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the drafting preferences object (setq ACADPref (vla-get-Drafting preferences)) ;; Read and display the original value (setq originalValue (vla-get-AutoTrackTooltip ACADPref)) (alert (strcat "The AutoTrackToolTip preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the AutoTrackToolTip preference by toggling the value (vla-put-AutoTrackTooltip ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-AutoTrackTooltip ACADPref)) (alert (strcat "The AutoTrackToolTip preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-AutoTrackTooltip ACADPref originalValue) (alert (strcat "The AutoTrackToolTip preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:51
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.